<?xml version="1.0" encoding="ISO-8859-1"?>
<mixer>
    <!-- These are the initial mixer settings -->
    <ctl name="Voice Rx Device Mute" id="0" value="0" />
    <ctl name="Voice Rx Device Mute" id="1" value="-1" />
    <ctl name="Voice Rx Device Mute" id="2" value="20" />
    <ctl name="Voice Tx Mute" id="0" value="0" />
    <ctl name="Voice Tx Mute" id="1" value="-1" />
    <ctl name="Voice Tx Mute" id="2" value="500" />
    <ctl name="Voice Rx Gain" id="0" value="0" />
    <ctl name="Voice Rx Gain" id="1" value="-1" />
    <ctl name="Voice Rx Gain" id="2" value="20" />
    <ctl name="Voip Tx Mute" id="0" value="0" />
    <ctl name="Voip Tx Mute" id="1" value="500" />
    <ctl name="Voip Rx Gain" id="0" value="0" />
    <ctl name="Voip Rx Gain" id="1" value="20" />
    <ctl name="Voip Mode Config" value="12" />
    <ctl name="Voip Rate Config" value="0" />
    <ctl name="Voip Evrc Min Max Rate Config" id="0" value="1" />
    <ctl name="Voip Evrc Min Max Rate Config" id="1" value="4" />
    <ctl name="Voip Dtx Mode" value="0" />
    <ctl name="TTY Mode" value="Off" />
    <ctl name="HPHL Volume" value="9" />
    <ctl name="HPHR Volume" value="9" />
    <ctl name="RX1 Digital Volume" value="84" />
    <ctl name="RX2 Digital Volume" value="84" />
    <ctl name="RX3 Digital Volume" value="84" />
    <ctl name="IIR1 INP1 Volume" value="84" />
    <ctl name="IIR1 INP2 Volume" value="84" />
    <ctl name="IIR1 INP3 Volume" value="84" />
    <ctl name="IIR1 INP4 Volume" value="84" />
    <ctl name="ADC1 Volume" value="6" />
    <ctl name="ADC2 Volume" value="6" />
    <ctl name="ADC3 Volume" value="6" />
    <ctl name="DEC1 Volume" value="84" />
    <ctl name="DEC2 Volume" value="84" />
    <ctl name="DEC2 MUX" value="ZERO" />
    <ctl name="DEC1 MUX" value="ZERO" />
    <ctl name="ADC2 MUX" value="ZERO" />
    <ctl name="RDAC2 MUX" value="ZERO" />
    <ctl name="RX2 MIX2 INP2" value="ZERO" />
    <ctl name="RX2 MIX2 INP1" value="ZERO" />
    <ctl name="RX1 MIX2 INP2" value="ZERO" />
    <ctl name="RX1 MIX2 INP1" value="ZERO" />
    <ctl name="RX3 MIX1 INP2" value="ZERO" />
    <ctl name="RX3 MIX1 INP1" value="ZERO" />
    <ctl name="RX2 MIX1 INP2" value="ZERO" />
    <ctl name="RX2 MIX1 INP1" value="ZERO" />
    <ctl name="RX1 MIX1 INP2" value="ZERO" />
    <ctl name="RX1 MIX1 INP1" value="ZERO" />
    <ctl name="EAR_S" value="ZERO" />
    <ctl name="HPHL" value="ZERO" />
    <ctl name="HPHR" value="ZERO" />
    <ctl name="SPK DAC Switch" value="0" />
    <ctl name="Speaker Boost" value="ENABLE" />
    <ctl name="EAR PA Gain" value="POS_1P5_DB" />
    <ctl name="EAR PA Boost" value="ENABLE" />
    <ctl name="MI2S_RX Channels" value="Two" />
    <ctl name="MI2S_TX Channels" value="One" />
    <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia1" value="0" />
    <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia1" value="0" />
    <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia1" value="0" />
    <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia4" value="0" />
    <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia4" value="0" />
    <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia4" value="0" />
    <ctl name="AFE_PCM_RX Audio Mixer MultiMedia4" value="0" />
    <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia4" value="0" />
    <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia5" value="0" />
    <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia5" value="0" />
    <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia5" value="0" />
    <ctl name="MultiMedia1 Mixer TERT_MI2S_TX" value="0" />
    <ctl name="MultiMedia5 Mixer TERT_MI2S_TX" value="0" />
    <ctl name="MultiMedia1 Mixer INTERNAL_BT_SCO_TX" value="0" />
    <ctl name="PRI_MI2S_RX_Voice Mixer CSVoice" value="0" />
    <ctl name="QUAT_MI2S_RX_Voice Mixer CSVoice" value="0" />
    <ctl name="Voice_Tx Mixer TERT_MI2S_TX_Voice" value="0" />

    <!-- Voice BTSCO -->
    <ctl name="Internal BTSCO SampleRate" value="8000" />
    <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer CSVoice" value="0" />
    <ctl name="Voice_Tx Mixer INTERNAL_BT_SCO_TX_Voice" value="0" />
    <!-- Voice BTSCO end -->

    <!-- Voice2 -->
    <ctl name="PRI_MI2S_RX_Voice Mixer Voice2" value="0" />
    <ctl name="Voice2_Tx Mixer TERT_MI2S_TX_Voice2" value="0" />
    <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer Voice2" value="0" />
    <ctl name="Voice2_Tx Mixer INTERNAL_BT_SCO_TX_Voice2" value="0" />
    <ctl name="AFE_PCM_RX_Voice Mixer Voice2" value="0" />
    <ctl name="Voice2_Tx Mixer AFE_PCM_TX_Voice2" value="0" />
    <!-- Voice2 end -->

    <!-- Voip -->
    <ctl name="PRI_MI2S_RX_Voice Mixer Voip" value="0" />
    <ctl name="Voip_Tx Mixer TERT_MI2S_TX_Voip" value="0" />
    <ctl name="Internal BTSCO SampleRate" value="8000" />
    <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer Voip" value="0" />
    <ctl name="Voip_Tx Mixer INTERNAL_BT_SCO_TX_Voip" value="0" />
    <!-- Voip end -->

    <!-- fm -->
    <ctl name="Internal FM RX Volume" value="0" />
    <ctl name="PRI_MI2S_RX Port Mixer INTERNAL_FM_TX" value="0" />
    <ctl name="MI2S_DL_HL Switch" value="1" />
    <ctl name="MultiMedia1 Mixer INTERNAL_FM_TX" value="0" />
    <ctl name="MultiMedia2 Mixer INTERNAL_FM_TX" value="0" />
    <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia1" value="0" />
    <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia5" value="0" />
    <!-- fm end -->

    <!-- Incall Recording -->
    <ctl name="MultiMedia1 Mixer VOC_REC_UL" value="0" />
    <ctl name="MultiMedia1 Mixer VOC_REC_DL" value="0" />
    <!-- Incall Recording end -->

    <!-- Incall Music -->
    <ctl name="Incall_Music Audio Mixer MultiMedia2" value="0" />
    <ctl name="Incall_Music_2 Audio Mixer MultiMedia9" value="0" />
    <!-- Incall Music end -->

    <!-- QCHAT -->
    <ctl name="PRI_MI2S_RX_Voice Mixer QCHAT" value="0" />
    <ctl name="QCHAT_Tx Mixer TERT_MI2S_TX_QCHAT" value="0" />
    <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer QCHAT" value="0" />
    <ctl name="QCHAT_Tx Mixer INTERNAL_BT_SCO_TX_QCHAT" value="0" />
    <!-- QCHAT end -->

    <!-- EC_REF -->
    <ctl name="AUDIO_REF_EC_UL1 MUX" value="None" />

    <!-- IIR -->
    <ctl name="IIR1 Band1" id ="0" value="268435456" />
    <ctl name="IIR1 Band1" id ="1" value="0" />
    <ctl name="IIR1 Band1" id ="2" value="0" />
    <ctl name="IIR1 Band1" id ="3" value="0" />
    <ctl name="IIR1 Band1" id ="4" value="0" />
    <ctl name="IIR1 Band2" id ="0" value="268435456" />
    <ctl name="IIR1 Band2" id ="1" value="0" />
    <ctl name="IIR1 Band2" id ="2" value="0" />
    <ctl name="IIR1 Band2" id ="3" value="0" />
    <ctl name="IIR1 Band2" id ="4" value="0" />
    <ctl name="IIR1 Band3" id ="0" value="268435456" />
    <ctl name="IIR1 Band3" id ="1" value="0" />
    <ctl name="IIR1 Band3" id ="2" value="0" />
    <ctl name="IIR1 Band3" id ="3" value="0" />
    <ctl name="IIR1 Band3" id ="4" value="0" />
    <ctl name="IIR1 Band4" id ="0" value="268435456" />
    <ctl name="IIR1 Band4" id ="1" value="0" />
    <ctl name="IIR1 Band4" id ="2" value="0" />
    <ctl name="IIR1 Band4" id ="3" value="0" />
    <ctl name="IIR1 Band4" id ="4" value="0" />
    <ctl name="IIR1 Band5" id ="0" value="268435456" />
    <ctl name="IIR1 Band5" id ="1" value="0" />
    <ctl name="IIR1 Band5" id ="2" value="0" />
    <ctl name="IIR1 Band5" id ="3" value="0" />
    <ctl name="IIR1 Band5" id ="4" value="0" />
    <ctl name="IIR1 Enable Band1" value="0" />
    <ctl name="IIR1 Enable Band2" value="0" />
    <ctl name="IIR1 Enable Band3" value="0" />
    <ctl name="IIR1 Enable Band4" value="0" />
    <ctl name="IIR1 Enable Band5" value="0" />
    <!-- IIR end -->

    <!-- ADSP testfwk -->
    <ctl name="MI2S_DL_HL Switch" value="0" />
    <!-- ADSP testfwk end-->

    <!-- These are audio route (FE to BE) specific mixer settings -->
    <path name="deep-buffer-playback">
        <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia1" value="1" />
    </path>

    <path name="deep-buffer-playback hdmi">
        <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia1" value="1" />
    </path>

    <path name="deep-buffer-playback bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia1" value="1" />
    </path>

    <path name="deep-buffer-playback bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="deep-buffer-playback bt-sco" />
    </path>

    <path name="deep-buffer-playback afe-proxy">
        <ctl name="AFE_PCM_RX Audio Mixer MultiMedia1" value="1" />
    </path>

    <path name="deep-buffer-playback usb-headphones">
        <path name="deep-buffer-playback afe-proxy" />
    </path>

    <path name="deep-buffer-playback speaker-and-usb-headphones">
        <path name="deep-buffer-playback usb-headphones" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback transmission-fm">
        <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia1" value="1" />
    </path>

    <path name="low-latency-playback">
        <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia5" value="1" />
    </path>

    <path name="low-latency-playback hdmi">
        <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia5" value="1" />
    </path>

    <path name="low-latency-playback bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia5" value="1" />
    </path>

    <path name="low-latency-playback bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="low-latency-playback bt-sco" />
    </path>

    <path name="low-latency-playback afe-proxy">
        <ctl name="AFE_PCM_RX Audio Mixer MultiMedia5" value="1" />
    </path>

    <path name="low-latency-playback usb-headphones">
        <path name="low-latency-playback afe-proxy" />
    </path>

    <path name="low-latency-playback speaker-and-usb-headphones">
        <path name="low-latency-playback usb-headphones" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback transmission-fm">
        <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia5" value="1" />
    </path>

    <path name="compress-offload-playback">
        <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia4" value="1" />
    </path>

    <path name="compress-offload-playback hdmi">
        <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia4" value="1" />
    </path>

    <path name="compress-offload-playback bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX Audio Mixer MultiMedia4" value="1" />
    </path>

    <path name="compress-offload-playback bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="compress-offload-playback bt-sco" />
    </path>

    <path name="compress-offload-playback afe-proxy">
        <ctl name="AFE_PCM_RX Audio Mixer MultiMedia4" value="1" />
    </path>

    <path name="compress-offload-playback usb-headphones">
        <path name="compress-offload-playback afe-proxy" />
    </path>

    <path name="compress-offload-playback speaker-and-usb-headphones">
        <path name="compress-offload-playback usb-headphones" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback transmission-fm">
        <ctl name="INTERNAL_FM_RX Audio Mixer MultiMedia4" value="1" />
    </path>

    <path name="audio-record">
        <ctl name="MultiMedia1 Mixer TERT_MI2S_TX" value="1" />
    </path>

    <path name="audio-record speaker">
        <ctl name="MultiMedia1 Mixer TERT_MI2S_TX" value="1" />
    </path>

    <path name="audio-record bt-sco">
        <ctl name="MultiMedia1 Mixer INTERNAL_BT_SCO_TX" value="1" />
    </path>

    <path name="audio-record bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="audio-record bt-sco" />
    </path>

    <path name="audio-record usb-headset-mic">
        <ctl name="MultiMedia1 Mixer AFE_PCM_TX" value="1" />
    </path>

    <path name="audio-record capture-fm">
        <ctl name="MultiMedia1 Mixer INTERNAL_FM_TX" value="1" />
    </path>

    <path name="low-latency-record">
        <ctl name="MultiMedia5 Mixer TERT_MI2S_TX" value="1" />
    </path>

    <path name="fm-virtual-record capture-fm">
        <ctl name="MultiMedia2 Mixer INTERNAL_FM_TX" value="1" />
    </path>

    <path name="voice-call">
        <ctl name="PRI_MI2S_RX_Voice Mixer CSVoice" value="1" />
        <ctl name="Voice_Tx Mixer TERT_MI2S_TX_Voice" value="1" />
    </path>

   <path name="voice-call hdmi">
        <ctl name="QUAT_MI2S_RX_Voice Mixer CSVoice" value="1" />
        <ctl name="Voice_Tx Mixer TERT_MI2S_TX_Voice" value="1" />
    </path>


    <path name="voice-call bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer CSVoice" value="1" />
        <ctl name="Voice_Tx Mixer INTERNAL_BT_SCO_TX_Voice" value="1" />
    </path>

    <path name="voice-call bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="voice-call bt-sco" />
    </path>

    <path name="voice-call usb-headphones">
        <ctl name="AFE_PCM_RX_Voice Mixer CSVoice" value="1" />
        <ctl name="Voice_Tx Mixer AFE_PCM_TX_Voice" value="1" />
    </path>

    <path name="voice2-call">
        <ctl name="PRI_MI2S_RX_Voice Mixer Voice2" value="1" />
        <ctl name="Voice2_Tx Mixer TERT_MI2S_TX_Voice2" value="1" />
    </path>

    <path name="voice2-call hdmi">
        <ctl name="QUAT_MI2S_RX_Voice Mixer Voice2" value="1" />
        <ctl name="Voice2_Tx Mixer TERT_MI2S_TX_Voice2" value="1" />
    </path>

    <path name="voice2-call bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer Voice2" value="1" />
        <ctl name="Voice2_Tx Mixer INTERNAL_BT_SCO_TX_Voice2" value="1" />
    </path>

    <path name="voice2-call bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="voice2-call bt-sco" />
    </path>

    <path name="voice2-call usb-headphones">
       <ctl name="AFE_PCM_RX_Voice Mixer Voice2" value="1" />
       <ctl name="Voice2_Tx Mixer AFE_PCM_TX_Voice2" value="1" />
    </path>

    <path name="play-fm">
        <ctl name="Internal FM RX Volume" value="1" />
        <ctl name="PRI_MI2S_RX Port Mixer INTERNAL_FM_TX" value="1" />
        <ctl name="MI2S_DL_HL Switch" value="1" />
    </path>

    <path name="incall-rec-uplink">
        <ctl name="MultiMedia1 Mixer VOC_REC_UL" value="1" />
    </path>

    <path name="incall-rec-uplink bt-sco">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink bt-sco-wb">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-downlink">
        <ctl name="MultiMedia1 Mixer VOC_REC_DL" value="1" />
    </path>

    <path name="incall-rec-downlink bt-sco">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink bt-sco-wb">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink">
        <path name="incall-rec-uplink" />
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink bt-sco">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink bt-sco-wb">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall_music_uplink">
       <ctl name="Incall_Music Audio Mixer MultiMedia2" value="1" />
    </path>

    <path name="incall_music_uplink2">
        <ctl name="Incall_Music_2 Audio Mixer MultiMedia9" value="1" />
    </path>

    <path name="volte-call">
        <ctl name="PRI_MI2S_RX_Voice Mixer VoLTE" value="1" />
        <ctl name="VoLTE_Tx Mixer TERT_MI2S_TX_VoLTE" value="1" />
   </path>

   <path name="volte-call hdmi">
       <ctl name="HDMI_RX_Voice Mixer VoLTE" value="1" />
       <ctl name="VoLTE_Tx Mixer SLIM_0_TX_VoLTE" value="1" />
   </path>

   <path name="volte-call bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer VoLTE" value="1" />
        <ctl name="VoLTE_Tx Mixer INTERNAL_BT_SCO_TX_VoLTE" value="1" />
    </path>

   <path name="volte-call bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="volte-call bt-sco" />
    </path>

   <path name="volte-call usb-headphones">
        <ctl name="AFE_PCM_RX_Voice Mixer VoLTE" value="1" />
        <ctl name="VoLTE_Tx Mixer AFE_PCM_TX_VoLTE" value="1" />
   </path>

    <path name="compress-voip-call">
        <ctl name="PRI_MI2S_RX_Voice Mixer Voip" value="1" />
        <ctl name="Voip_Tx Mixer TERT_MI2S_TX_Voip" value="1" />
    </path>

    <path name="compress-voip-speaker">
        <ctl name="PRI_MI2S_RX_Voice Mixer Voip" value="1" />
        <ctl name="Voip_Tx Mixer TERT_MI2S_TX_Voip" value="1" />
    </path>

    <path name="compress-voip-call bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer Voip" value="1" />
        <ctl name="Voip_Tx Mixer INTERNAL_BT_SCO_TX_Voip" value="1" />
    </path>

    <path name="compress-voip-call bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="compress-voip-call bt-sco" />
    </path>

    <path name="qchat-call">
        <ctl name="PRI_MI2S_RX_Voice Mixer QCHAT" value="1" />
        <ctl name="QCHAT_Tx Mixer TERT_MI2S_TX_QCHAT" value="1" />
    </path>

    <path name="qchat-call bt-sco">
        <ctl name="INTERNAL_BT_SCO_RX_Voice Mixer QCHAT" value="1" />
        <ctl name="QCHAT_Tx Mixer INTERNAL_BT_SCO_TX_QCHAT" value="1" />
    </path>

    <path name="qchat-call bt-sco-wb">
        <ctl name="Internal BTSCO SampleRate" value="16000" />
        <path name="qchat-call bt-sco" />
    </path>

    <!-- These are actual sound device specific mixer settings -->
    <path name="adc1">
        <ctl name="DEC1 MUX" value="ADC1" />
    </path>

    <path name="adc2">
        <ctl name="DEC1 MUX" value="ADC2" />
    </path>

    <path name="speaker">
        <ctl name="RX3 MIX1 INP1" value="RX1" />
        <ctl name="SPK DAC Switch" value="1" />
    </path>

    <path name="hdmi">
        <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia1" value="0" />
        <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia1" value="1" />
        <ctl name="MI2S_RX Channels" value="Two" />
    </path>

    <path name="speaker-mic">
        <path name="adc1" />
        <ctl name="IIR1 INP1 MUX" value="DEC1" />
    </path>

    <path name="handset">
        <ctl name="RX1 MIX1 INP1" value="RX1" />
        <ctl name="RDAC2 MUX" value="RX1" />
        <ctl name="RX1 Digital Volume" value="84" />
        <ctl name="EAR PA Gain" value="POS_6_DB" />
        <ctl name="EAR_S" value="Switch" />
    </path>

    <path name="handset-mic">
        <path name="adc1" />
        <ctl name="IIR1 INP1 MUX" value="DEC1" />
    </path>

    <path name="headphones">
        <ctl name="QUAT_MI2S_RX Audio Mixer MultiMedia1" value="0" />
        <ctl name="PRI_MI2S_RX Audio Mixer MultiMedia1" value="1" />
        <ctl name="MI2S_RX Channels" value="Two" />
        <ctl name="RX1 MIX1 INP1" value="RX1" />
        <ctl name="RX2 MIX1 INP1" value="RX2" />
        <ctl name="RDAC2 MUX" value="RX2" />
        <ctl name="HPHL" value="Switch" />
        <ctl name="HPHR" value="Switch" />
    </path>

    <path name="headset-mic">
        <path name="adc2" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="IIR1 INP1 MUX" value="DEC1" />
    </path>

    <path name="sidetone-iir">
        <ctl name="IIR1 Enable Band1" value="1" />
        <ctl name="IIR1 Enable Band2" value="1" />
        <ctl name="IIR1 Enable Band3" value="1" />
        <ctl name="IIR1 Enable Band4" value="1" />
        <ctl name="IIR1 Enable Band5" value="1" />
    </path>

    <path name="sidetone-handset">
        <path name="sidetone-iir" />
        <ctl name="IIR1 INP1 Volume" value="53" />
        <ctl name="RX1 MIX2 INP1" value="IIR1" />
    </path>

    <path name="sidetone-headphone">
        <path name="sidetone-iir" />
        <ctl name="RX1 MIX2 INP1" value="IIR1" />
        <ctl name="RX2 MIX2 INP1" value="IIR1" />
        <ctl name="IIR1 INP1 Volume" value="53" />
    </path>

    <path name="voice-handset">
        <path name="sidetone-handset" />
        <path name="handset" />
    </path>

    <path name="voice-speaker">
        <path name="speaker" />
    </path>

    <path name="voice-speaker-mic">
        <path name="speaker-mic" />
    </path>

    <path name="voice-headphones">
        <path name="sidetone-headphone" />
        <path name="headphones" />
        <path name="sidetone-headphone" />
    </path>

    <path name="voice-headset-mic">
        <path name="headset-mic" />
    </path>

    <path name="speaker-and-headphones">
        <path name="speaker" />
        <path name="headphones" />
    </path>

    <path name="usb-headphones">
    </path>

    <path name="afe-proxy">
    </path>

    <path name="transmission-fm">
    </path>

    <path name="speaker-and-usb-headphones">
        <path name="speaker" />
        <path name="usb-headphones" />
    </path>

    <path name="voice-rec-mic">
        <path name="handset-mic" />
    </path>

    <path name="camcorder-mic">
        <path name="handset-mic" />
    </path>

    <path name="bt-sco-headset">
    </path>

    <path name="bt-sco-mic">
    </path>

    <path name="usb-headset-mic">
    </path>

    <path name="capture-fm">
    </path>

    <!-- Dual MIC devices -->
    <path name="speaker-dmic-endfire">
        <path name="adc1" />
        <ctl name="DEC2 MUX" value="ADC2" />
        <ctl name="MI2S_TX Channels" value="Two" />
        <ctl name="ADC2 MUX" value="INP3" />
    </path>

    <path name="dmic-endfire">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-dmic-ef-tmus">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-speaker-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef-fluence">
        <path name="dmic-endfire" />
    </path>

    <path name="handset-stereo-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="speaker-stereo-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="echo-reference">
        <ctl name="AUDIO_REF_EC_UL1 MUX" value="I2S_RX" />
    </path>

    <!-- TTY devices -->

    <path name="tty-headphones">
        <ctl name="RX1 MIX1 INP1" value="RX1" />
        <ctl name="HPHL" value="Switch" />
    </path>

    <path name="voice-tty-full-headphones">
        <ctl name="TTY Mode" value="FULL" />
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-vco-headphones">
        <ctl name="TTY Mode" value="VCO" />
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-hco-handset">
        <ctl name="TTY Mode" value="HCO" />
        <path name="handset" />
    </path>

    <path name="voice-tty-full-headset-mic">
        <path name="adc2" />
        <ctl name="ADC2 MUX" value="INP2" />
    </path>

    <path name="voice-tty-hco-headset-mic">
        <path name="voice-tty-full-headset-mic" />
    </path>

    <path name="voice-tty-vco-handset-mic">
        <path name="adc1" />
    </path>

    <path name="ADSP testfwk">
        <ctl name="MI2S_DL_HL Switch" value="1" />
    </path>

</mixer>
